extract
key
Funkcje Tablic
PHP Manual

# in_array

(PHP 4, PHP 5)

in_array — Sprawdza czy wartość istnieje w tablicy

### Opis

bool in_array ( mixed `$igła` , array `$stóg_siana` [, bool `$ścisłe` ] )

Przeszukuje `stóg_siana` w poszukiwaniu parametru `igła` i zwraca `TRUE` jeśli wartość została znaleziona lub `FALSE` w przeciwnym przypadku.

Jeśli trzeci parametr `ścisły` jest ustawiony na `TRUE` to in_array() porówna także typy parametru `igła` z tymi z parametru `stóg_siana` .

> Informacja: Jeśli `igła` jest ciągiem to porównywanie jest dokonywane z uwzględnieniem wielkości znaków.

> Informacja: W wersjach PHP starszych niż 4.2.0 `igła` nie mogła być tablicą.

Example #1 Przykład użycia in_array()

`<?php
$os = array("Mac", "NT", "Irix", "Linux");
if (in_array("Irix", $os)) {
echo "Znaleziono Irix";
}
if (in_array("mac", $os)) {
echo "Znaleziono mac";
}`

Drugi warunek nie zostaje spełniony ponieważ funkcja in_array() uwzględnia wielkość znaków, tak więc powyższy przykład wyświetli:

    Znaleziono Irix

Example #2 Przykład użycia in_array() z parametrem strict

`<?php
$a = array('1.10', 12.4, 1.13);
if (in_array('12.4', $a, true)) {
echo "'12.4' znalezione ze ścisłym sprawdzaniem\n";
}
if (in_array(1.13, $a, true)) {
echo "1.13 znalezione ze ścisłym sprawdzaniem\n";
}
?>`

Powyższy przykład wyświetli:

    1.13 znalezione ze ścisłym sprawdzaniem

Example #3 in_array() z tablicą jako igła

`<?php
$a = array(array('p', 'h'), array('p', 'r'), 'o');
if (in_array(array ('p', 'h'), $a)) {
echo "znaleziono 'ph'\n";
}
if (in_array(array ('f', 'i'), $a)) {
echo "znaleziono 'fi'\n";
}
if (in_array('o', $a)) {
echo "znaleziono 'o'\n";
}
?>`

Powyższy przykład wyświetli:

    znaleziono 'ph'
    znaleziono 'o'

Patrz także: array_search(), array_key_exists() i isset().

extract
key
Funkcje Tablic
PHP Manual